cool_seq_tool.schemas#
Defines attribute constants, useful object structures, and API response schemas.
- class cool_seq_tool.schemas.AnnotationLayer(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Create enum for supported annotation layers
- class cool_seq_tool.schemas.Assembly(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Define supported genomic assemblies. Must be defined in ascending order
- class cool_seq_tool.schemas.BaseModelForbidExtra(**data)[source]#
Base Pydantic model class with extra values forbidden.
- class cool_seq_tool.schemas.CdnaRepresentation(**data)[source]#
Model response for cDNA representation
- class cool_seq_tool.schemas.GenomicData(**data)[source]#
Model containing genomic and transcript exon data.
- classmethod check_start_end(values)[source]#
Check that at least one of {
start,end} is set. Check that at least one of {exon_start,exon_end} is set. If not set, set corresponding offset toNone
- class cool_seq_tool.schemas.GenomicDataResponse(**data)[source]#
Response model for Genomic Data
-
genomic_data:
Optional[GenomicData][source]#
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
-
genomic_data:
- class cool_seq_tool.schemas.GenomicRepresentation(**data)[source]#
Model response for genomic representation
- class cool_seq_tool.schemas.GenomicRequestBody(**data)[source]#
Define constraints for genomic to transcript exon coordinates request body
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
residue_mode:
ResidueMode[source]#
- class cool_seq_tool.schemas.ManeData(**data)[source]#
Define mane data fields
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
status:
TranscriptPriority[source]#
- class cool_seq_tool.schemas.ManeDataService(**data)[source]#
Service model response for getting mane data
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
- class cool_seq_tool.schemas.MappedManeData(**data)[source]#
Define mapped mane data fields
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
status:
TranscriptPriority[source]#
- class cool_seq_tool.schemas.MappedManeDataService(**data)[source]#
Service model response for mapped mane data
-
mapped_mane_data:
Optional[MappedManeData][source]#
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
-
mapped_mane_data:
- class cool_seq_tool.schemas.ResidueMode(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Create Enum for residue modes.
We typically prefer to operate in inter-residue coordinates, but users should be careful to define the coordinate mode of their data when calling
cool-seq-toolfunctions.C
T
G
ZERO0
1
2
RESIDUE1
2
3
INTER_RESIDUE0
1
2
3
See “Conventions that promote reliable data sharing” and figure 3 within the Variation Representation Schema (VRS) paper for further discussion.
- class cool_seq_tool.schemas.ServiceMeta(**data)[source]#
Metadata for cool_seq_tool service
- class cool_seq_tool.schemas.Strand(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Create enum for positive and negative strand
- class cool_seq_tool.schemas.ToCdnaService(**data)[source]#
Service model response for protein -> cDNA
-
c_data:
Optional[CdnaRepresentation][source]#
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
-
c_data:
- class cool_seq_tool.schemas.ToGenomicService(**data)[source]#
Service model response for cDNA -> genomic
-
g_data:
Optional[GenomicRepresentation][source]#
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
-
g_data:
- class cool_seq_tool.schemas.TranscriptExonData(**data)[source]#
Model containing transcript exon data.
- class cool_seq_tool.schemas.TranscriptExonDataResponse(**data)[source]#
Response model for Transcript Exon Data
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
-
transcript_exon_data:
Optional[TranscriptExonData][source]#
- class cool_seq_tool.schemas.TranscriptPriority(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Create Enum for Transcript Priority labels
- class cool_seq_tool.schemas.TranscriptRequestBody(**data)[source]#
Define constraints for transcript exon to genomic coordinates request body
- classmethod check_exon_start_and_exon_end(values)[source]#
Check that at least one of {
exon_start,exon_end} is set